POST /status-pages/{id}/groups

Authentication

Bearer Token (hu_api_key)

Path Parameters

id string required path

Request Body required

application/json
name string REQUIRED
description string
is_collapsed boolean

Responses

201 Group created

No response body

curl -X POST 'https://happyuptime.com/api/v1/status-pages/string/groups' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "is_collapsed": false}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/groups', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({    "name": "string",    "description": "string",    "is_collapsed": false  })});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/status-pages/string/groups', headers=headers, json={  "name": "string",  "description": "string",  "is_collapsed": false})print(response.json())